Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Proactor_Handle_Timeout_Upcall Class Reference

Functor for <ACE_Timer_Queue>. More...

`#include <Proactor.h>`

Collaboration diagram for ACE_Proactor_Handle_Timeout_Upcall:

[legend]
List of all members.

## Public Methods
| ACE_Proactor_Handle_Timeout_Upcall (void)
| Constructor. More...
int | timeout (TIMER_QUEUE &timer_queue, ACE_Handler *handler, const void *arg, const ACE_Time_Value &cur_time)
| This method is called when the timer expires. More...
int | cancellation (TIMER_QUEUE &timer_queue, ACE_Handler *handler)
| This method is called when the timer is canceled. More...
int | deletion (TIMER_QUEUE &timer_queue, ACE_Handler *handler, const void *arg)
| This method is called when the timer queue is destroyed and the timer is still contained in it. More...
## Protected Methods
int | proactor (ACE_Proactor &proactor)
| Set the proactor. This will fail, if one is already set! More...
## Protected Attributes
ACE_Proactor * | proactor_
| Handle to the proactor. This is needed for posting a timer result to the Proactor's completion queue. More...
## Private Types
typedef ACE_Timer_Queue_T< ACE_Handler *, ACE_Proactor_Handle_Timeout_Upcall, ACE_SYNCH_RECURSIVE_MUTEX > | TIMER_QUEUE
| Type def for the timer queue. More...
## Friends
class | ACE_Proactor
| The main Proactor class has special permissions. More...

## Detailed Description

Functor for <ACE_Timer_Queue>.

This class implements the functor required by the Timer Queue to call <handle_timeout> on ACE_Handlers.

## Member Typedef Documentation

typedef ACE_Timer_Queue_T<ACE_Handler *, ACE_Proactor_Handle_Timeout_Upcall, ACE_SYNCH_RECURSIVE_MUTEX> ACE_Proactor_Handle_Timeout_Upcall::TIMER_QUEUE`[private]`

| Type def for the timer queue.

## Constructor & Destructor Documentation

ACE_Proactor_Handle_Timeout_Upcall::ACE_Proactor_Handle_Timeout_Upcall | ( | void |  | ) |

| Constructor.

## Member Function Documentation

int ACE_Proactor_Handle_Timeout_Upcall::cancellation | ( | TIMER_QUEUE & | timer_queue,
|  | ACE_Handler * | handler
| ) |

| This method is called when the timer is canceled.

int ACE_Proactor_Handle_Timeout_Upcall::deletion | ( | TIMER_QUEUE & | timer_queue,
|  | ACE_Handler * | handler,
|  | const void * | arg
| ) |

| This method is called when the timer queue is destroyed and the timer is still contained in it.

int ACE_Proactor_Handle_Timeout_Upcall::proactor | ( | ACE_Proactor & | proactor | ) | `[protected]`

| Set the proactor. This will fail, if one is already set!

int ACE_Proactor_Handle_Timeout_Upcall::timeout | ( | TIMER_QUEUE & | timer_queue,
|  | ACE_Handler * | handler,
|  | const void * | act,
|  | const ACE_Time_Value & | time
| ) |

| This method is called when the timer expires.

## Friends And Related Function Documentation

friend class ACE_Proactor`[friend]`

| The main Proactor class has special permissions.

## Member Data Documentation

ACE_Proactor* ACE_Proactor_Handle_Timeout_Upcall::proactor_`[protected]`

| Handle to the proactor. This is needed for posting a timer result to the Proactor's completion queue.

The documentation for this class was generated from the following files:

- Proactor.h
- Proactor.cpp